## python-ratelimitqueue 0.2.2

=== Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = RateLimitQueue
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile readme
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

readme:
	pandoc ../README.md -f markdown -t rst -o source/readme.rst

=== requirements.txt ===
pytest
pytest-cov
coveralls
sphinx
sphinx_rtd_theme

=== debian/changelog ===
python-ratelimitqueue (0.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Sun, 08 Sep 2024 15:38:19 -0400

python-ratelimitqueue (0.2.2-1) unstable; urgency=low

  * Initial release. (Closes: #1077734)

 -- Tapio Peltonen <tapio.peltonen@gmail.com>  Thu, 1 Aug 2024 12:59:39 +0300

=== debian/control ===
Source: python-ratelimitqueue
Section: python
Priority: optional
Maintainer: Tapio Peltonen <tapio.peltonen@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13)
Build-Depends-Indep:
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-pytest
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.0
Homepage: https://github.com/JohnPaton/ratelimitqueue
Vcs-Browser: https://salsa.debian.org/tappel/python-ratelimitqueue
Vcs-Git: https://salsa.debian.org/tappel/python-ratelimitqueue.git

Package: python3-ratelimitqueue
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-multiprocess
Description: Rate limited wrapper for Python 3's thread safe queues
 This package extends the three built-in Python queues from the queue
 module - Queue, LifoQueue, and PriorityQueue - with configurable, rate
 limited counterparts. Specifically, the get() method is rate limited
 across all threads so that workers can safely consume from the queue
 in an unlimited loop, and putting the items in the queue doesn’t need
 to require blocking the main thread.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=ratelimitqueue

%:
	dh $@ --with python3 --buildsystem=pybuild


# If you need to rebuild the Sphinx documentation:
# Add sphinxdoc to the dh --with line.
#
# And uncomment the following lines.
#execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
#execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
#execute_after_dh_auto_build-indep:
#	PYTHONPATH=. python3 -m sphinx -N -bhtml \
#	docs/ build/html # HTML generator
#	PYTHONPATH=. python3 -m sphinx -N -bman \
#	docs/ build/man # Manpage generator

=== debian/watch ===
version=4
https://github.com/JohnPaton/ratelimitqueue/tags .*/v?(\d.*)@ARCHIVE_EXT@
